Skip to main content
`Ctrl`+`K`

# DMTSDestroyRHSMassMatrix

Destroys the mass matrix and solver stored in the `DM` context, if they exist.

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSDestroyRHSMassMatrix(DM dm)

Logically Collective

## Input Parameter

- dm - `DM` providing the mass matrix

## See Also

TS: Scalable ODE and DAE Solvers, `DM`, `DMTSCreateRHSMassMatrixLumped()`, `DMCreateMassMatrix()`, `DMTS`

## Level

developer

## Location

src/ts/utils/dmlocalts.c

## Examples

src/ts/tutorials/ex45.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages